function [out] = IcelandSystemCorner2(hmax1,lamda1,hbar,mu,e0,e1,gamma,tau0,tau1,t0,t1,st,emax1)    
%returns vector for Iceland simulations of three equations and three unkowns
%when at corner solution for hours
    
    lamda0=t1-t0;
    %etwid is etwid0 in part 0
    part1=@(l) etwid0(l,t0,t1,e0,e1);
    %etwid is standard etwid from EITC in part 1
    part3=@(l) (etwid(l,t1,e0,e1)).^(1+1/gamma);
    part4=@(l) etwid(l,t1,e0,e1);
    out=zeros(2,1);
    
    %The system (see documentation)
    out(2)=hmax1-hbar*(1+gamma)/gamma*((emax1/part4(lamda1))^(1/gamma));
    out(3)=(1-tau1)*emax1*(1-t0)/mu/(hmax1^gamma)-((1-hbar)*simint(part1,0,t1-t0,.0001)...
                +hmax1/(emax1^(1/gamma))*simint(part3,0,lamda1,.0001)-hbar*simint(part4,0,lamda1,.0001)+st);
end

